%define upstream_name    Date-Pcalc
%define upstream_version 6.1

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 29

Summary:	Pure-Perl drop-in replacement for Date::Calc
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Date/%{upstream_name}-%{upstream_version}.tar.gz
patch0:		Date-Pcalc-6.1-fix_perl_516_boolean.patch
patch1:		Date-Pcalc-6.1-century.patch
patch2:		Date-Pcalc-6.1-fix-build-with-perl-5.26.patch

BuildRequires:	perl-ExtUtils-MakeMaker
BuildRequires:	perl(Bit::Vector)
BuildRequires:	perl(Carp::Clan)
BuildRequires:	perl-devel


%description
  'use Date::Pcalc qw( Days_in_Year Days_in_Month ... );'

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
echo c | %__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.yml
%{_mandir}/man3/*
%{perl_vendorarch}/*


%changelog
* Tue Jun 07 2022 umeabot <umeabot> 6.100.0-29.mga9
+ Revision: 1861773
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 6.100.0-28.mga9
+ Revision: 1796300
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 6.100.0-27.mga9
+ Revision: 1726540
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 6.100.0-26.mga8
+ Revision: 1594403
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 6.100.0-25.mga8
+ Revision: 1530213
- Mageia 8 Mass Rebuild

* Wed Aug 28 2019 tmb <tmb> 6.100.0-24.mga8
+ Revision: 1434648
- BR: perl(ExtUtils::MakeMaker)
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 6.100.0-23.mga7
+ Revision: 1292705
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 6.100.0-22.mga7
+ Revision: 1249324
- Rebuild for perl 5.28
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 6.100.0-20.mga7
+ Revision: 1163875
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 6.100.0-19.mga7
+ Revision: 1149607
- Rebuild for perl ABI changes

* Mon Jul 24 2017 sander85 <sander85> 6.100.0-18.mga7
+ Revision: 1130019
- Fix build with perl 5.26
+ neoclust <neoclust>
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 6.100.0-17.mga6
+ Revision: 1025036
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 6.100.0-16.mga6
+ Revision: 957092
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 6.100.0-15.mga6
+ Revision: 843874
- Rebuild for perl 5.22

* Fri Feb 20 2015 anaselli <anaselli> 6.100.0-14.mga5
+ Revision: 816058
- Fixed build failure (century test failure when using two digits over 50 years ago)

* Wed Oct 15 2014 umeabot <umeabot> 6.100.0-13.mga5
+ Revision: 750637
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 6.100.0-12.mga5
+ Revision: 684262
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 6.100.0-11.mga5
+ Revision: 632216
- perl 5.20.0 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 6.100.0-10.mga4
+ Revision: 525105
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 6.100.0-9.mga4
+ Revision: 432271
- perl 5.18.0 rebuild

* Wed May 29 2013 jquelin <jquelin> 6.100.0-8.mga4
+ Revision: 432106
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 6.100.0-7.mga3
+ Revision: 365544
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 pterjan <pterjan> 6.100.0-6.mga3
+ Revision: 335981
- Automatically answer to the Makefile.PL question (C or pure perl)

* Thu May 31 2012 jquelin <jquelin> 6.100.0-5.mga3
+ Revision: 252146
- fix perl 5.16 build
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 6.100.0-4.mga2
+ Revision: 104117
- perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 6.100.0-3.mga1
+ Revision: 31892
- mageia rebuild
- imported package perl-Date-Pcalc


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 6.100.0-3mdv2011.0
+ Revision: 555785
- rebuild for perl 5.12

* Fri Mar 12 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 6.100.0-2mdv2010.1
+ Revision: 518566
- Bump release

* Sun Feb 28 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 6.100.0-1mdv2010.1
+ Revision: 512531
- import perl-Date-Pcalc


* Sat Feb 27 2010 cpan2dist 6.1-1mdv
- initial mdv release, generated with cpan2dist
